Website redesign
Open, NormalPublic

Description

There are still a lot of project website in KDE using the old KDE3 Crystal or KDE4 Oxygen theme.

List of most of the outdated website:

Maintainer contacted and ok for a new website

List of websites in progress

List of websites almost done

List of websites updated

List of websites now removed

Websites to be left as they are

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes

I had an e-mail with Ralf Habcker who does Umbrello and seems open to a redesigned umbrello.kde.org but says:

That would be nice if some special things like the feature page(https://umbrello.kde.org/features.php, source https://cgit.kde.org/websites/umbrello-kde-org.git/tree/features.php),
the bugs.kde.org gateway (e.g. http://umbrello.kde.org/resolvedbugs.php?19.08) and other pages with intensive PHP processing can be ported or reused.

@jriddell I don't see any problem reimplementing these things with Jekyll (it should be easier). The problem is that I don't have the time to do it :(.

KonqiDragon added a comment.EditedAug 16 2019, 4:01 AM

How to make redesign of KDE Store if it is based on opendesktop.org? There you can only change the pictures.
Need to update share.krita.org too.

ognarb updated the task description. (Show Details)Aug 20 2019, 1:05 PM

[spam comment removed by sysadmin]

Shall we create sub-tasks for the websites that shall be purged?
And should one move the repos of that packages to some "obsolete" place on invent.kde.org to archive them (in case someone wants to pick them up again) and to avoid one confuses them with active repos?

I will create a subtask for the websites that shall be purged.

KonqiDragon added a comment.EditedSep 17 2019, 2:33 PM

How about adding a language switch to redesigned sites?

KDE is isinternational community, so we need add support for other languages.

@KonqiDragon Translations are planed, but it will take time to write an interface between Jekyll or Hugo to the KDE translations workflow. I already wrote a parser which extracts the string from a file and create pot files and now I trying to find a solution to generate the translated files from mo files.

KonqiDragon added a comment.EditedSep 27 2019, 3:54 AM

Add a https://www.kdevelop.org to redesign list, it looks like a KDE style but it's have a differents from https://konsole.kde.org and https://choqok.kde.org, it would also be cool to provide in Download snap and flatpak links.

ognarb updated the task description. (Show Details)Nov 7 2019, 8:02 PM
ognarb removed a subscriber: fsitter.

One thing I noticed while browsing the re-design candidates: many websites showcase screenshots with features that don't exist anymore. Case in point: the Konsole website shows the old split-tab feature that doesn't work on current builds.
Then there are some applications like Okular using screenshots from KDE3 which is just confusing to viewers.

Should a major focus of redesign also be to unify screenshots? That is, use the same theme and icons (Breeze obviously) and check even websites that are not up for a redesign if screenshots are obsolete? I'd be more than happy to do that.

@joricke the old screenshot in the Konsole website is here because when I did the website, the new split screen feature didn't exist yet. Without maintenance the page are often getting outdated. So yes this is part of this task ;)

The code for the Konsole website is located at https://cgit.kde.org/websites/konsole-kde-org.git/ and for okular at https://cgit.kde.org/websites/okular-kde-org.git/.

Then you can submit patch with arc: https://community.kde.org/Infrastructure/Phabricator#Using_Arcanist_to_post_patches

Or you can just send the new screenshots here, if it's easier for you.

Cantor got a beautiful website thanks to @filipesaraiva

https://cantor.kde.org/ 🎉

joricke added a comment.EditedNov 16 2019, 8:45 PM

Looks really nice and in-line with the overall KDE website theme. Good job!

Edit: Small thing I found: there's no active state for the navigation buttons, only the index page will be "active".

This looks like a bug in the theme, a possible hacky workaround in javascript is

let page = new URL(window.location);
document.querySelectorAll('.nav-link').forEach(link => {
    let link_url = new URL(link.href);
    if (page.pathname.startsWith(link_url.pathname) && link_url.pathname !== '/') {
        link.classList.add('active');
    }
});

but I will try to find something that don't use javascript

Cantor got a beautiful website thanks to @filipesaraiva

https://cantor.kde.org/ 🎉

Thanks @ognarb, and thank you for the Jekyll theme!

ognarb updated the task description. (Show Details)Dec 9 2019, 10:10 AM
ognarb updated the task description. (Show Details)
ognarb updated the task description. (Show Details)Dec 9 2019, 10:21 AM
arjunth added a subscriber: arjunth.Dec 9 2019, 1:33 PM

@ognarb hi, can you send me the link to the jekyll theme kde uses right now?

Hi @iammarco, the theme is located at invent.kde.org/websites/jekyll-kde-theme/

Thanks a lot @ognarb ,I am akshay praveen nair. I hail from India. I am currently an undergrad student at Amritapuri school of engineering, kerala. The Konversation website has not been updated for a while, I would love to take up an initiative to redo the entire website redesign with the current jekyll theme you just shared. The konversation website if redone, I think would be great for the community.

cheers :)

jriddell added a subscriber: hein.Dec 10 2019, 2:48 PM

Also ping @hein as maintainer of Konversation about that website

ok got it :)
should I do that in the mailing list or irc?

Hello @iammarco, if you want to help with the conversation website, I already started a fork of it in https://invent.kde.org/carlschwan/konversation-kde-org

Here is an example commit of one conversion: https://invent.kde.org/carlschwan/konversation-kde-org/commit/dd674a5dc7a5a747d3c2f4644fdc39bc75fbe36d

ognarb added a comment.EditedDec 10 2019, 2:53 PM

I already contacted Eike ;)

ok, that's great @ognarb so I think I will also start contributing to your fork, maybe that can ease the work ;)

Hey @ognarb , just a doubt, do I need developer access to push to a repo (i forked urs) in invent.kde.org

This comment was removed by thiagosueto.
thiagosueto updated the task description. (Show Details)Dec 11 2019, 3:19 AM
adiaux added a subscriber: adiaux.Dec 11 2019, 8:11 AM

@ognarb As mentioned in the task, I found the krusader (https://krusader.org/) and the marble (https://marble.kde.org/) sites to be outdated. If possible I would like to redesign any one based on the main KDE -Jekyll theme.Can you give me some pointers to get started with, also should I contact the mentor of the projects?

joricke removed a subscriber: joricke.Dec 11 2019, 8:22 AM

hello @ognarb I have added some items like get involved, donate to the navigation bar and changed half of the php to markdown :)

ognarb added a subscriber: yurchor.Dec 11 2019, 1:23 PM

@adiaux You should contact the maintainers in the project mailing list. marble-devel@kde.org and for Krusader I already contacted the maintainer: https://groups.google.com/forum/#!topic/krusader-devel/ieAzC_dV1qY but didn't get an answer yet. Maybe @yurchor can help with that ;)

@ognarb Thanks alot :)
@yurchor As mentioned in the task, I am looking forward to be able to work on the Krusader website. Could you give me some pointers on where to start.

ognarb added a subscriber: abika.Dec 11 2019, 2:24 PM

Subscribing @abika too :)

@ognarb you haven't pushed a img named konsolefancy.png, but in the code I have seen that the path assets/img/konsolefancy.png being used. If the image is necessary can you push it?

@yurchor As mentioned in the task, I am looking forward to be able to work on the Krusader website. Could you give me some pointers on where to start.

Actually, I do not have access to our site. I'm a documentation maintainer. ;)

I think that we just need a revamp in the common KDE (or authentic Krusader) style without major revision of the content.

@nmel @gengisdave Can you look at this?

@nmel @gengisdave Could you give me some pointers on where to start with the revamp.

nmel added a comment.Dec 12 2019, 8:22 AM

@nmel @gengisdave Could you give me some pointers on where to start with the revamp.

Sure. First of all, thanks for your initiative. I think the website needs a design refresh for a long time. From the content perspective, we try to keep it up to date, but we don't mind moving things around if it helps looking better.

This is the repo for the website: https://phabricator.kde.org/source/websites-krusader-org/ . It's all static html. You can start looking into the content and redesign things. Since it's a continuous deployment setup, all changes to master have to be reviewed like this. I suggest you to create a branch and start working there, sharing updates periodically. Once it's ready, we can review it thoroughly and merge to master. Please let me know if you have any questions.

@ognarb I have ported every file in /konversation-kde-org/_posts to markdown. If you have time please take a look at the files and if any error (caused during porting) let me know. :)

ognarb updated the task description. (Show Details)Dec 12 2019, 8:17 PM
ognarb added a comment.EditedDec 12 2019, 8:41 PM

@iammarco Great could you also rename the files to comply with the convention 'year-month-day-slug.md'. Otherwise Jekyll can't find the posts.

@adiaux I gave you access to https://invent.kde.org/carlschwan/krusader-org/ so that you can convert this website to Jekyll with Simon. :)

vinzenzv updated the task description. (Show Details)Dec 12 2019, 10:10 PM
vinzenzv updated the task description. (Show Details)
iammarco added a comment.EditedDec 13 2019, 6:07 AM

@iammarco Great could you also rename the files to comply with the convention 'year-month-day-slug.md'. Otherwise Jekyll can't find the posts.

@ognarb I have renamed and pushed it :) doesn't this website need made with kde badge?

@nmel I have began the redesign for the Krusader website. Is there any way to communicate about it with you ?
@ognarb Is there any way I can contact Simon regarding the same . Thanks :)

@ognarb I have an idea, why don't we make the homepage describing the workflow and features and a separate page containing all the announcements? :) do let me know on what do you think about that?

vinzenzv updated the task description. (Show Details)Dec 16 2019, 12:18 PM

Hello, I think cutehmi.kde.org needs a redesign. I have helped @ognarb for the konversation website. If anyone is willing to mentor mentor me, I would love to do a redesign for cutehmi.kde.org as a part of SoK.

Added T12423 as a subtask, it serves for organization. If you're interested in a specific project or want to work on a project but still don't have your name assigned there, you may add yourself easily to the table by editing the task.

thiagosueto updated the task description. (Show Details)Dec 25 2019, 11:24 AM
ognarb updated the task description. (Show Details)Dec 25 2019, 11:32 AM
xyquadrat updated the task description. (Show Details)Jan 2 2020, 3:55 PM
ognarb moved this task from other stuff to Meta on the Websites board.
ognarb updated the task description. (Show Details)Jan 19 2020, 1:57 AM
tleupold removed a subscriber: tleupold.Jan 19 2020, 8:02 AM
thiagosueto updated the task description. (Show Details)Feb 27 2020, 5:38 PM
thiagosueto updated the task description. (Show Details)Feb 27 2020, 5:45 PM